API referenceOfficial · Buy Orders
List buy orders
Returns buy orders for the current BUFF account.
GET
/api/market/developer/buy_orderReturns buy orders for the current BUFF account.
- Access: Developer or Enterprise API
- Updated: Real time
- Limit: 60 requests per minute
- Maximum
page_size: 500
API-created buy orders do not expire, so expire_time is normally null.
Authorization
bearer AuthorizationBearer <token>
BUFF developer API token. Send it as Authorization: Bearer <token>.
In: header
Query Parameters
game*"cs2"
Game identifier.
Value in
- "cs2"
order_state?string
Buy order status, progressing: in progress, success: successful, failed: canceled, waiting: waiting for payment
Value in
- "progressing"
- "success"
- "failed"
- "waiting"
start_time?integer
Buy order creation start timestamp, in seconds
end_time?integer
Buy order creation end timestamp, in seconds
steamid?integer
Steam account ID to query
page_num?integer
Page number
Default
1page_size?integer
Number of items per page
Default
10Response Body
application/json
curl -X GET "https://example.com/api/market/developer/buy_order?game=cs2"{ "items": [ { "buy_max_price": "10", "buy_order_num": 1, "created_at": 1754379229, "expire_time": null, "frozen_num": 0, "game": "csgo", "goods_id": 47427, "id": "250805T1093434037", "num": 1, "price": "10", "real_num": 0, "sell_min_price": "0", "specific": [], "state": "progressing", "steamid_text": "88888888888888888(username)" }, { "buy_max_price": "0", "buy_order_num": 0, "created_at": 1747984960, "expire_time": 1750576970, "frozen_num": 0, "game": "csgo", "goods_id": 218562, "id": "250523T1093434308", "num": 1, "price": "1", "real_num": 0, "sell_min_price": "0.16", "specific": [], "state": "progressing", "steamid_text": "88888888888888888(username)" } ], "page_num": 1, "page_size": 10, "total_count": 2, "total_page": 1}